<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>{% block title %}{% endblock %}</title>
      {% load static %}

    <!-- Bootstrap core CSS-->
    <link href="{% static '/info/bootstrap/vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom fonts for this template-->
    <link href="{% static '/info/bootstrap/vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">

    <!-- Page level plugin CSS-->
    <link href="{% static '/info/bootstrap/vendor/datatables/dataTables.bootstrap4.css' %}" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static '/info/bootstrap/css/sb-admin.css' %}" rel="stylesheet">

    <!-- Latest compiled and minified CSS -->


      {% block css %}
      {% endblock %}

  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <a class="navbar-brand mr-1" href="{% url 'index' %}">Student Attendance System</a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" href="#">
        <i class="fas fa-bars"></i>
      </button>

      <!-- Navbar -->
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                {% if request.user.is_student %}
                    <a class="nav-link text-capitalize">{{ request.user.student.name }}</a>
                {% elif request.user.is_teacher %}
                    <a class="nav-link text-capitalize">{{ request.user.teacher.name }}</a>
                {% endif %}
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#" data-toggle="modal" data-target="#logoutModal">Logout</a>
            </li>
          </ul>
        </div>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
            <li class="nav-item">
              <a class="nav-link" href="{% url 'index' %}">
                <span>Home</span>
              </a>
            </li>
        {% if request.user.is_student %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 'attendance' request.user.student.USN %}">
                <span>Attendance</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="{% url 'attendance' request.user.student.USN %}">
                <span>Attendance By Subject</span>
              </a>
            </li>
            

        {% elif request.user.is_teacher %}
            <li class="nav-item">
              <a class="nav-link" href="{% url 't_clas' request.user.teacher.id 1 %}">
                <span>Attendance</span>
              </a>
            </li>
            
            <li class="nav-item">
              <a class="nav-link" href="{% url 't_clas' request.user.teacher.id 3 %}">
                <span>Reports</span>
              </a>
            </li>
        {% endif %}
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">

          <!-- Breadcrumbs-->
{#          <ol class="breadcrumb">#}
{#            <li class="breadcrumb-item">#}
{#              <a href="index.html">Dashboard</a>#}
{#            </li>#}
{#            <li class="breadcrumb-item active">Blank Page</li>#}
{#          </ol>#}

          <!-- Page Content -->
            {% block content %}
            {% endblock %}

        </div>
        <!-- /.container-fluid -->

        <!-- Sticky Footer -->
{#        <footer class="sticky-footer">#}
{#          <div class="container my-auto">#}
{#            <div class="copyright text-center my-auto">#}
{#              <span>Copyright © Your Website 2018</span>#}
{#            </div>#}
{#          </div>#}
{#        </footer>#}

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="/accounts/logout">Logout</a>
          </div>
        </div>
      </div>
    </div>


    <!-- Bootstrap core JavaScript-->
    <script src="{% static '/info/bootstrap/vendor/jquery/jquery.min.js' %}"></script>
    <script src="{% static '/info/bootstrap/vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

    <!-- Core plugin JavaScript-->
    <script src="{% static '/info/bootstrap/vendor/jquery-easing/jquery.easing.min.js' %}"></script>

    <!-- Custom scripts for all pages-->
    <script src="{% static '/info/bootstrap/js/sb-admin.min.js' %}"></script>

   {% block scripts %}
    {% endblock %}
  </body>

</html>
